export const respawnTool = {
    name: 'respawn',
    description: 'Resets the agent context to just the system prompt and provided context',
    logPrefix: '🔄',
    parameters: {
        type: 'object',
        properties: {
            respawnContext: {
                type: 'string',
                description: 'The context to keep after respawning',
            },
        },
        required: ['respawnContext'],
        additionalProperties: false,
    },
    returns: {
        type: 'string',
        description: 'A message indicating that the respawn has been initiated',
    },
    execute: (_params, _context) => {
        // This is a special case tool - the actual respawn logic is handled in toolAgent
        return Promise.resolve('Respawn initiated');
    },
};
//# sourceMappingURL=respawn.js.map